*******************************************************************************

                         	program raman_spec 

*******************************************************************************
c
c       This program is designed to convert data file formats
c

c	To compile non-graphics programs use : 
c                  fortran $(OPT) raman_spec.f -o raman_spec 
c
        parameter (n = 20000)
        real*8 w(n), g(n),t(n)
        parameter (m = 1000)
        real*8 w0(m), r(m)
        real*8 sig 
        character*40	fname
        character*40	gname
	integer	        i,j,npts
	integer	        icolumn 
        integer         cnunit 
        parameter ( cnunit = 10 )
c
c 
	 print *,'Enter Input Filename: '
	 read(5,*) fname
c
        open(unit=cnunit,file=fname,status='old',form='formatted')

         print *,'Enter Number of Frequencies: '
	 read(5,*) npts 

c        read(cnunit,'(i3)',err=3000) npts 
        do 2000 i=1,npts
            read(cnunit,110,err=3000) w0(i), r(i) 
            print *, w0(i), r(i)
2000    continue 
110     format(f10.4,f10.4)
        close( unit = cnunit )
c
c
         print *,'Enter Output Filename: '
         read(5,*) gname
         print *,'Enter Lorentzian Width: '
         read(5,*) sig 
c
         open(unit=7,file=gname,form='formatted',
     $                            status='new',err=990)
c
         do 900 j=1,20000
           w(j)=j*0.1
           t(j)=0.0
900      continue
         do 1000 i=1,npts
           do 1100 j=1,20000
             g(j)=r(i)/sqrt(2*3.141592)/sig
             g(j)=g(j)*exp(-(w(j)-w0(i))*(w(j)-w0(i))/(2*sig*sig))
             t(j)=t(j)+g(j)
1100      continue
1000      continue
         do 1200 j=1,20000
            write(7,210) w(j),t(j)
1200     continue
210      format(f12.4,' , ',f12.4)
         goto 999
3000     continue
         print *,'Error in input file'
         goto 999
990      continue
         print *,'Error in output file'
999      continue
c
         end

